#include "test_term.c"
#include "test_index.c"
#include "test_graph.c"
#include "test_keyset.c"

int main(int argc, char **argv) {

    int result = (
            term_tests() | index_tests()
            | keyset_tests() | graph_tests());

    printf("Test result: %lu\n", (size_t)result);

    if (result != 0) {
        printf("Test failed.");
    }
    else {
        printf("ALL TESTS PASSED\n");
    }

    printf("Tests run: %d\n", tests_run);

    return result != 0;
}

